/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-02-24
 * 描述            ：质保书编号与物料信息关系表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;

import market.Qms.qcm.mapper.QcmZbsDataMatMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_ZBS_DATA_MAT", namespace=QcmZbsDataMatMapper.class)
public class QcmZbsDataMat extends BaseVO implements Serializable {
	/** 
	 * 发货号
	 */ 
	@Column
	private String detail_no;
	public String getDetail_no() {
		return this.detail_no;
	}
	public void setDetail_no(String detail_no) {
		this.detail_no = detail_no;
	}

	/** 
	 * 质保书编号
	 */ 
	@Id
	private String cret_no;
	public String getCret_no() {
		return this.cret_no;
	}
	public void setCret_no(String cret_no) {
		this.cret_no = cret_no;
	}

	/** 
	 * 产品序号
	 */ 
	@Id
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 炉号
	 */ 
	@Column
	private String heat_no;
	public String getHeat_no() {
		return this.heat_no;
	}
	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	/** 
	 * 轧批号
	 */ 
	@Column
	private String batch_no;
	public String getBatch_no() {
		return this.batch_no;
	}
	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}

	/** 
	 * 检验号
	 */ 
	@Column
	private String inspection_lot;
	public String getInspection_lot() {
		return this.inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}

	/** 
	 * 牌号代码
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 牌号名称
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 厚度(mm)
	 */ 
	@Column
	private String thick;
	public String getThick() {
		return this.thick;
	}
	public void setThick(String thick) {
		this.thick = thick;
	}

	/** 
	 * 宽度(mm)
	 */ 
	@Column
	private String width;
	public String getWidth() {
		return this.width;
	}
	public void setWidth(String width) {
		this.width = width;
	}

	/** 
	 * 长度
	 */ 
	@Column
	private String length;
	public String getLength() {
		return this.length;
	}
	public void setLength(String length) {
		this.length = length;
	}

	/** 
	 * 重量
	 */ 
	@Column
	private String weight;
	public String getWeight() {
		return this.weight;
	}
	public void setWeight(String weight) {
		this.weight = weight;
	}
	@Column
	private String customer_order_no;
	public String getCustomer_order_no() {
		return customer_order_no;
	}
	public void setCustomer_order_no(String customer_order_no) {
		this.customer_order_no = customer_order_no;
	}
	
	/**
	 * 数量 3/11
	 */
	@Column
	private String sum_cnt;
	
	
	
	/**
	 *探伤标准代码
	 */
	@Column
	private String dic_std_code;
	
	/**
	 * 探伤标准描述
	 */
	@Column
	private String dic_std_desc;
	
	
	/**
	 *探伤等级代码
	 */
	@Column
	private String dic_lv_code;
	
	
	
	/**
         探伤等级描述	 
         */
	@Column
	private String dic_lv_desc;
	
	
	/**
	 *探伤检验结果描述
	 */
	@Column
	private String dic_result_desc;
	public String getSum_cnt() {
		return sum_cnt;
	}
	public void setSum_cnt(String sum_cnt) {
		this.sum_cnt = sum_cnt;
	}
	public String getDic_std_code() {
		return dic_std_code;
	}
	public void setDic_std_code(String dic_std_code) {
		this.dic_std_code = dic_std_code;
	}
	public String getDic_std_desc() {
		return dic_std_desc;
	}
	public void setDic_std_desc(String dic_std_desc) {
		this.dic_std_desc = dic_std_desc;
	}
	public String getDic_lv_code() {
		return dic_lv_code;
	}
	public void setDic_lv_code(String dic_lv_code) {
		this.dic_lv_code = dic_lv_code;
	}
	public String getDic_lv_desc() {
		return dic_lv_desc;
	}
	public void setDic_lv_desc(String dic_lv_desc) {
		this.dic_lv_desc = dic_lv_desc;
	}
	public String getDic_result_desc() {
		return dic_result_desc;
	}
	public void setDic_result_desc(String dic_result_desc) {
		this.dic_result_desc = dic_result_desc;
	}
	
	
	/**
	 * 交货状态代码
	 */
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/**
	 * 交货状态名称
	 */
	@Column
	private String delivery_state_desc;
	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}
	
	
	
	

}
